edu.sc.seis.sod.source.network

## Class VelocityNetworkSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.network.AbstractNetworkSource
    - - edu.sc.seis.sod.source.network.WrappingNetworkSource
      - - edu.sc.seis.sod.source.network.VelocityNetworkSource

- All Implemented Interfaces:
    NetworkSource, Source

      public class VelocityNetworkSource
      extends WrappingNetworkSource
      implements NetworkSource

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.network.AbstractNetworkSource

      `constraints, REFRESH_ELEMENT, refreshInterval`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityNetworkSource(NetworkSource network)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends edu.iris.Fissures.network.ChannelImpl>` | `getChannels(edu.iris.Fissures.network.StationImpl station)`
    `edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess` | `getNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)`
    `java.util.List<? extends edu.iris.Fissures.network.NetworkAttrImpl>` | `getNetworks()`
    `java.util.List<? extends edu.iris.Fissures.network.StationImpl>` | `getStations(edu.iris.Fissures.network.NetworkAttrImpl net)`

    - ### Methods inherited from class edu.sc.seis.sod.source.network.WrappingNetworkSource

      `getInstrumentation, getName, getNetworkByName, getRefreshInterval, getSensitivity, getWrapped, setConstraints`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.network.NetworkSource

      `getInstrumentation, getNetworkByName, getRefreshInterval, getRetries, getRetryStrategy, getSensitivity, setConstraints`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName`

- - ### Constructor Detail

    - #### VelocityNetworkSource

          public VelocityNetworkSource(NetworkSource network)

  - ### Method Detail

    - #### getChannels

          public java.util.List<? extends edu.iris.Fissures.network.ChannelImpl> getChannels(edu.iris.Fissures.network.StationImpl station)
                                                                                      throws SodSourceException

      Specified by:
        `getChannels` in interface `NetworkSource`
      Overrides:
        `getChannels` in class `WrappingNetworkSource`
      Throws:
        `SodSourceException`

    - #### getNetwork

          public edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess getNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)

      Specified by:
        `getNetwork` in interface `NetworkSource`
      Overrides:
        `getNetwork` in class `WrappingNetworkSource`

    - #### getNetworks

          public java.util.List<? extends edu.iris.Fissures.network.NetworkAttrImpl> getNetworks()
                                                                                          throws SodSourceException

      Specified by:
        `getNetworks` in interface `NetworkSource`
      Overrides:
        `getNetworks` in class `WrappingNetworkSource`
      Throws:
        `SodSourceException`

    - #### getStations

          public java.util.List<? extends edu.iris.Fissures.network.StationImpl> getStations(edu.iris.Fissures.network.NetworkAttrImpl net)
                                                                                      throws SodSourceException

      Specified by:
        `getStations` in interface `NetworkSource`
      Overrides:
        `getStations` in class `WrappingNetworkSource`
      Throws:
        `SodSourceException`